
html, body { margin: 0; height: 100%; overflow-y: hidden; }

body {
    margin: 0;
    /*background: #f906b2; /* pink background */
}

#page {
    display: flex;
    flex-direction: row;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
}

/* Main area: centers the SVG in the viewport */
main {

    min-height: 100vh;
    max-height: 100vh;
    display: grid;
    place-items: center;
/*  padding: 2vh 2vw; /* small breathing room */
    box-sizing: content-box;
}

/* SVG mount box */
#svgMount {
    width: 80vw;
    height: 80vh;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto; /* Center the SVG vertically */
}

/* Ensure inline SVG or <img> scales nicely */
#svgMount svg,
#svgMount img {
    width: 80%;
    height: 80%;
    object-fit: contain;
    display: block;
    @media (max-width: 600px) {
        padding-bottom: 20vh;
        pointer-events: none;
        width: 100%;
        height: 100%;
    }
}

/* Footer fixed to bottom of the window, centered */
footer{
    position: fixed; 
    display: flex;
    align-items: end;
    justify-content: space-between;
    left: 0;
    right: 0;
    bottom: max(12px, env(safe-area-inset-bottom)); /* supports iOS notches */
    color: #ffffff;
    text-align: left;
    font: 30px/1.4 Roboto, Helvetica, Arial, sans-serif;

    @media (max-width: 1000px) {
        font-size: 25px;
        font-style: bold;
        justify-content: unset;
        display: grid;
    }
    padding: 0 30px; /* keep text away from edges */
    background: transparent;      /* keep page clean */
    pointer-events: none;          /* ensures clicks pass through if needed */
    white-space: normal;           /* allow wrapping on narrow screens */
}

#credits {
    text-align: right;
    font-size: 12px;
    padding-bottom: 5px;
    padding-top: 10px;
    @media (max-width: 1000px) {
        text-align: left;
    }

}